Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Hello World example error
Hello World example error [message #779039] Sat, 14 January 2012 13:43
Gabriel Voiculescu is currently offline Gabriel VoiculescuFriend
Messages: 2
Registered: January 2012
Junior Member
Hello ,

I just downloaded "Eclipse for RCP and RAP Developers" from downloads section on the site.

I extracted the files in a folder on my hard drive.
I opened Eclipse , the WELCOME page opened.
I clicked "Overview" and then clicked on "Rich Ajax Platform" then "Install Target Platform" and selected the last stable version.

After this i created a new project "File/New/Plug-in Project" with this default details :

name = HelloWorldExample
use default location = true
create source (src) and output folder (bin)
eclipse version = 3.7

NEXT

id , version , name
Execution Enviroment : JavaSE 1.7
Generate arhivator = true
This plugin will make contribution = true
FINISH


Now if i want to run the application by right-click on MANIFEST , run as RAP app i get this error :

org.osgi.framework.BundleException: The bundle "org.eclipse.rap.rwt.testfixture_1.5.0.20110926-1702 [37]" could not be resolved. Reason: Missing Constraint: Import-Package: javax.servlet; version="[3.0.0,4.0.0)"


Removed eclipse from the computer , new install .

Followed the same steps but this time before creating a project , i clicked INSTALL NEW SOFTWARE , and and installed RAP tooling something. It was already installed.


I searched the web for this problem and the only relevand thing i found is a bug that was resolved ( something with config.ini text ).

I have no ideea what to do.

Please help me.


Thank you ,

Gabriel Voiculescu
Previous Topic:Hello World example error
Next Topic:Blocking the workbench when called dialogue
Goto Forum:
  


Current Time: Sun Oct 17 04:44:06 GMT 2021

Powered by FUDForum. Page generated in 0.01525 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top